Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class BackupListModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          main.BackupListModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class BackupListModel

extends javax.swing.table.AbstractTableModel

This model is used to present list of found backups to user by simple table.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`BackupListModel(BackupMetaContainer[] metas)` Constructor loads array containing meta infromation of backups to be presented to user.

Method Summary
`int` | `getColumnCount()` Number of columns in table.
`java.lang.String` | `getColumnName(int index)` Returns names of columns.
`BackupMetaContainer` | `getMeta(int index)` This method allows loading of data from model.
`int` | `getRowCount()` Returns number of rows required to display information of every found backup
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)` Returns object value of cell in table indetified by coordinates.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableDataChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupListModel

    public BackupListModel(BackupMetaContainer[] metas)

  Constructor loads array containing meta infromation of backups to be presented to user.

  Parameters:
    `metas` - an array of containers storing meta information

Method Detail

### getRowCount

    public int getRowCount()

  Returns number of rows required to display information of every found backup

  Returns:
    number of rows of table needed

### getColumnCount

    public int getColumnCount()

  Number of columns in table. Structure of table does not change and therefore constant value is allways returned.

  Returns:
    number of columns in table.

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Returns object value of cell in table indetified by coordinates.

  Parameters:
    `rowIndex` - row of table
    `columnIndex` - column of table
  Returns:
    value of cell

### getColumnName

    public java.lang.String getColumnName(int index)

  Returns names of columns.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `index` - number of column
  Returns:
    name of column

### getMeta

    public BackupMetaContainer getMeta(int index)

  This method allows loading of data from model. Given index of user selected row, corresponding backup information is returned.

  Parameters:
    `index` - number of row
  Returns:
    meta information belonging to selected backup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD